> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/organisations/{orgGroupId}/statistics/users

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/organisations/{orgGroupId}/statistics/users
```

where `{orgGroupId}` is the ID of an organisation.

## Supported methods and overview&#x20;

* `GET` - retrieves a summary of information about the numbers of [Covata users](/3.5/admin-org/administering-users-within-an-organisation.md) assigned to each [role](/3.5/admin-org/administering-users-within-an-organisation.md#an-organisation-users-roles) (where one user may possess more than one role) within an organisation (specified by `orgGroupId`).

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a summary of information about the numbers of Covata users assigned to each role (where one user may possess more than one role) within an organisation (specified by `orgGroupId`).

> [!NOTE]
>
> Users with the [Ad hoc](/3.5/admin-org/administering-users-within-an-organisation.md#adhoc-role) role are excluded from the statistics returned by this API endpoint.

## Supported roles and conditions&#x20;

This API endpoint supports the following Covata user [roles](/3.5/admin-org/administering-users-within-an-organisation.md#an-organisation-users-roles) (as described in the [Organisation Administrator's Guide](/3.5/admin-org.md)):

* [Organisation administrator](/3.5/admin-org/administering-users-within-an-organisation.md#organisation-administrator-role) - when this user is a member of the organisation whose ID is specified by `{orgGroupId}` in the request's URL.

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token submitted in the [header](/3.5/api/access-service-api-v1-organisations-orggroupid-statistics-users.md#access-service-api-v1-organisations-orggroupid-statistics-users-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorisation: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

* **originatorCount** - The number of Covata user accounts within this organisation (specified by `{orgGroupId}` in the request's URL) that has the [Originator](/3.5/admin-org/administering-users-within-an-organisation.md#originator-role) role.
* **collaboratorCount** - The number of Covata user accounts within this organisation that has the [Collaborator](/3.5/admin-org/administering-users-within-an-organisation.md#collaborator-role) role.
* **organisationAdminCount** - The number of Covata user accounts within this organisation that has the [Organisation administrator](/3.5/admin-org/administering-users-within-an-organisation.md#organisation-administrator-role) role.
* **totalCount** - The sum of the 'Count' values above - i.e. the total number of roles assigned to users within this organisation. \

  **Example (response):**

  ```json theme={null}
  {
      "originatorCount": 1,
      "collaboratorCount": 1,
      "organisationAdminCount": 2,
      "totalCount": 4
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.